/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { JsonType, PagedLink, SelfLink } from './Common';
import { CustomerRequest } from './Customer';
export interface PagedOfCustomerRequest {
    _expands?: string[];
    size?: number;
    start?: number;
    limit?: number;
    isLastPage?: boolean;
    _links?: PagedLink;
    values?: CustomerRequest[];
}
export interface RequestType {
    id?: string;
    _links?: SelfLink;
    name?: string;
    description?: string;
    helpText?: string;
    serviceDeskId?: string;
    groupIds?: string[];
    icon?: RequestTypeIcon;
}
export interface RequestTypeIcon {
    id?: string;
    _links?: RequestTypeIconLink;
}
export interface RequestTypeIconLink {
    iconUrls?: {
        [k: string]: string;
    };
}
export interface PagedOfRequestType {
    _expands?: string[];
    size?: number;
    start?: number;
    limit?: number;
    isLastPage?: boolean;
    _links?: PagedLink;
    values?: RequestType[];
}
export interface CustomerRequestCreateMeta {
    requestTypeFields?: RequestTypeField[];
    canRaiseOnBehalfOf?: boolean;
    canAddRequestParticipants?: boolean;
}
export interface RequestTypeField {
    fieldId?: string;
    name?: string;
    description?: string;
    required: boolean;
    validValues?: RequestTypeFieldValue[];
    jiraSchema?: JsonType;
}
export interface RequestTypeFieldValue {
    value?: string;
    label?: string;
    children?: RequestTypeFieldValue[];
}
export interface PagedOfRequestTypeGroup {
    _expands?: string[];
    size?: number;
    start?: number;
    limit?: number;
    isLastPage?: boolean;
    _links?: PagedLink;
    values?: RequestTypeGroup[];
}
export interface RequestTypeGroup {
    id?: string;
    name?: string;
}
//# sourceMappingURL=Request.d.ts.map