/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { PagedLink, SelfLink, Date } from './Common';
export interface PagedOfSlaInformation {
    _expands?: string[];
    size?: number;
    start?: number;
    limit?: number;
    isLastPage?: boolean;
    _links?: PagedLink;
    values?: SlaInformation[];
}
export interface SlaInformation {
    id?: string;
    name?: string;
    _links?: SelfLink;
    completedCycles?: SlaInformationCompletedCycle[];
    ongoingCycle?: SlaInformationOngoingCycle;
}
export interface SlaInformationCompletedCycle {
    startTime?: Date;
    stopTime?: Date;
    breached: boolean;
    goalDuration?: Duration;
    elapsedTime?: Duration;
    remainingTime?: Duration;
}
export interface Duration {
    millis?: number;
    friendly?: string;
}
export interface SlaInformationOngoingCycle {
    startTime?: Date;
    breachTime?: Date;
    breached: boolean;
    paused: boolean;
    withinCalendarHours: boolean;
    goalDuration?: Duration;
    elapsedTime?: Duration;
    remainingTime?: Duration;
}
//# sourceMappingURL=SLA.d.ts.map