/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { Organization, PagedOfOrganization } from '../definitions/Organization';
import { CommonError, ErrorStrategyOption } from '../errorStrategy';
export interface CreateOrganizationRequest extends HeadersOption, ErrorStrategyOption {
    body: {
        name: string;
    };
}
export interface CreateOrganizationResponseOK extends Organization {
}
export interface CreateOrganizationResponseError extends CommonError {
}
export interface GetOrganizationsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The starting index of the returned objects. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of users to return per page. Default: 50.
     */
    limit?: number;
}
export interface GetOrganizationsResponseOK extends PagedOfOrganization {
}
export interface GetOrganizationsResponseError extends CommonError {
}
export interface GetOrganizationRequest extends HeadersOption, ErrorStrategyOption {
    organizationId: number;
}
export interface GetOrganizationResponseOK extends Organization {
}
export interface GetOrganizationResponseError extends CommonError {
}
export interface DeleteOrganizationRequest extends HeadersOption, ErrorStrategyOption {
    organizationId: number;
}
export declare type DeleteOrganizationResponseOK = undefined;
export interface DeleteOrganizationResponseError extends CommonError {
}
//# sourceMappingURL=organization.d.ts.map