/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { PagedOfUser } from '../../definitions/User';
import { ErrorStrategyOption, CommonError } from '../../errorStrategy';
export interface GetOrganizationUsersRequest extends HeadersOption, ErrorStrategyOption {
    organizationId: number;
    /**
     * The starting index of the returned objects. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of users to return per page. Default: 50.
     */
    limit?: number;
}
export interface GetOrganizationUsersResponseOK extends PagedOfUser {
}
export interface GetOrganizationUsersResponseError extends CommonError {
}
export interface AddOrganizationUsersRequest extends HeadersOption, ErrorStrategyOption {
    organizationId: number;
    body: {
        usernames: string[];
    };
}
export declare type AddOrganizationUsersResponseOK = undefined;
export interface AddOrganizationUsersResponseError extends CommonError {
}
export interface RemoveOrganizationUsersRequest extends HeadersOption, ErrorStrategyOption {
    organizationId: number;
    body: {
        usernames: string[];
    };
}
export declare type RemoveOrganizationUsersResponseOK = undefined;
export interface RemoveOrganizationUsersResponseError extends CommonError {
}
//# sourceMappingURL=user.d.ts.map