/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { PagedOfPortal, Portal } from '../definitions/Portal';
import { CommonError, ErrorStrategyOption } from '../errorStrategy';
export interface GetPortalsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The starting index of the returned objects. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of users to return per page. Default: 50.
     */
    limit?: number;
}
export interface GetPortalsResponseOK extends PagedOfPortal {
}
export interface GetPortalsResponseError extends CommonError {
}
export interface GetPortalByKeyRequest extends HeadersOption, ErrorStrategyOption {
    projectKey: string;
}
export interface GetPortalByKeyResponseOK extends Portal {
}
export interface GetPortalByKeyResponseError extends CommonError {
}
export interface GetPortalByIdRequest extends HeadersOption, ErrorStrategyOption {
    portalId: number;
}
export interface GetPortalByIdResponseOK extends Portal {
}
export interface GetPortalByIdResponseError extends CommonError {
}
//# sourceMappingURL=portal.d.ts.map