/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { QueueSettings } from '../definitions/Queue';
import { CommonError, ErrorStrategyOption } from '../errorStrategy';
export interface GetQueueSettingsRequest extends HeadersOption, ErrorStrategyOption {
    projectKey: string;
}
export interface GetQueueSettingsResponseOK extends QueueSettings {
}
export interface GetQueueSettingsResponseError extends CommonError {
}
export interface SetQueuesUseCountCacheOnProjectRequest extends HeadersOption, ErrorStrategyOption {
    projectKey: string;
    body: boolean;
}
export declare type SetQueuesUseCountCacheOnProjectResponseOK = boolean;
export interface SetQueuesUseCountCacheOnProjectResponseError extends CommonError {
}
export interface SetQueuesIncludeCountOnProjectRequest extends HeadersOption, ErrorStrategyOption {
    projectKey: string;
    body: boolean;
}
export declare type SetQueuesIncludeCountOnProjectResponseOK = boolean;
export interface SetQueuesIncludeCountOnProjectResponseError extends CommonError {
}
export interface SetQueuesUseCountCacheGlobalRequest extends HeadersOption, ErrorStrategyOption {
    body: boolean;
}
export declare type SetQueuesUseCountCacheGlobalResponseOK = boolean;
export interface SetQueuesUseCountCacheGlobalResponseError extends CommonError {
}
export interface SetQueuesIncludeCountGlobalRequest extends HeadersOption, ErrorStrategyOption {
    body: boolean;
}
export declare type SetQueuesIncludeCountGlobalResponseOK = boolean;
export interface SetQueuesIncludeCountGlobalResponseError extends CommonError {
}
//# sourceMappingURL=queue.d.ts.map