/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { PagedOfSlaInformation, SlaInformation } from '../../definitions/SLA';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface GetSLAInfoRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    /**
     * The starting index of the returned comments. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of comments to return per page. Default: 50.
     */
    limit?: number;
}
export interface GetSLAInfoResponseOK extends PagedOfSlaInformation {
}
export interface GetSLAInfoResponseError extends CommonError {
}
export interface GetSLAInfoByIdRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    slaMetricId: number;
}
export interface GetSLAInfoByIdResponseOK extends SlaInformation {
}
export interface GetSLAInfoByIdResponseError extends CommonError {
}
//# sourceMappingURL=SLA.d.ts.map