/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { Approval, PagedOfApproval } from '../../definitions/Approval';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface GetRequestApprovalsRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    /**
     * The starting index of the returned objects. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of items to return per page. Default: 50.
     */
    limit?: number;
}
export interface GetRequestApprovalsResponseOK extends PagedOfApproval {
}
export interface GetRequestApprovalsResponseError extends CommonError {
}
export interface AnswerRequestApprovalRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    approvalId: number;
    body: {
        decision: 'approve' | 'decline';
    };
}
export interface AnswerRequestApprovalResponseOK extends Approval {
}
export interface AnswerRequestApprovalResponseError extends CommonError {
}
export interface GetRequestApprovalRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    approvalId: number;
}
export interface GetRequestApprovalResponseOK extends Approval {
}
export interface GetRequestApprovalResponseError extends CommonError {
}
//# sourceMappingURL=approval.d.ts.map