/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { Comment, PagedOfComment } from '../../definitions/Comment';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface GetRequestCommentsRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    /**
     * Specifies whether to return public comments or not. Default: true.
     */
    public?: boolean;
    /**
     * Specifies whether to return internal comments or not. Default: true.
     */
    internal?: boolean;
    /**
     * The starting index of the returned comments. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of comments to return per page. Default: 50.
     */
    limit?: number;
}
export interface GetRequestCommentsResponseOK extends PagedOfComment {
}
export interface GetRequestCommentsResponseError extends CommonError {
}
export interface CreateRequestCommentRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    body: {
        body: string;
        public: boolean;
    };
}
export interface CreateRequestCommentResponseOK extends Comment {
}
export interface CreateRequestCommentResponseError extends CommonError {
}
export interface GetRequestCommentRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    commentId: number;
}
export interface GetRequestCommentResponseOK extends Comment {
}
export interface GetRequestCommentResponseError extends CommonError {
}
//# sourceMappingURL=comment.d.ts.map