/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { PagedOfUser } from '../../definitions/User';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface GetRequestParticipantsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The starting index of the returned comments. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of comments to return per page. Default: 50.
     */
    limit?: number;
    issueIdOrKey: string | number;
}
export interface GetRequestParticipantsResponseOK extends PagedOfUser {
}
export interface GetRequestParticipantsResponseError extends CommonError {
}
export interface AddRequestParticipantsRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    body: {
        usernames: string[];
    };
}
export interface AddRequestParticipantsResponseOK extends PagedOfUser {
}
export interface AddRequestParticipantsResponseError extends CommonError {
}
export interface RemoveRequestParticipantsRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    body: {
        usernames: string[];
    };
}
export interface RemoveRequestParticipantsResponseOK extends PagedOfUser {
}
export interface RemoveRequestParticipantsResponseError extends CommonError {
}
//# sourceMappingURL=participant.d.ts.map