/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { PagedOfCustomerRequestStatus } from '../../definitions/Status';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface GetRequestStatusRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    /**
     * The starting index of the returned comments. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of comments to return per page. Default: 50.
     */
    limit?: number;
}
export interface GetRequestStatusResponseOK extends PagedOfCustomerRequestStatus {
}
export interface GetRequestStatusResponseError extends CommonError {
}
//# sourceMappingURL=status.d.ts.map