/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { CustomerTransition } from '../../definitions/Transition';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface GetRequestTransitionsRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    /**
     * The starting index of the returned comments. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of comments to return per page. Default: 50.
     */
    limit?: number;
}
export interface GetRequestTransitionsResponseOK extends CustomerTransition {
}
export interface GetRequestTransitionsResponseError extends CommonError {
}
export interface PerformRequestTransitionRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    body: {
        /**
         * transition ID
         */
        id: string;
        additionalComment?: {
            body: string;
        };
    };
}
export declare type PerformRequestTransitionResponseOK = undefined;
export interface PerformRequestTransitionResponseError extends CommonError {
}
//# sourceMappingURL=transition.d.ts.map