/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { PagedOfServiceDesk, ServiceDesk, TempAttachmentResponse } from '../definitions/Servicedesk';
import { CommonError, ErrorStrategyOption } from '../errorStrategy';
export interface GetServicedesksRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The option to include archived service project. False by default.
     */
    includeArchived?: boolean;
    /**
     * The starting index of the returned comments. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of comments to return per page. Default: 50.
     */
    limit?: number;
}
export interface GetServicedesksResponseOK extends PagedOfServiceDesk {
}
export interface GetServicedesksResponseError extends CommonError {
}
export interface GetServicedeskRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
}
export interface GetServicedeskResponseOK extends ServiceDesk {
}
export interface GetServicedeskResponseError extends CommonError {
}
export interface AddTemporaryFileToServicedeskRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    body: {
        fileName: string;
        content: string | ArrayBuffer;
    }[];
}
export interface AddTemporaryFileToServicedeskResponseOK extends TempAttachmentResponse {
}
export interface AddTemporaryFileToServicedeskResponseError extends CommonError {
}
//# sourceMappingURL=servicedesk.d.ts.map