/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { Organization } from '../../definitions/Organization';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface AddServicedeskOrganizationRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    body: {
        organizationId: number;
    };
}
export declare type AddServicedeskOrganizationResponseOK = undefined;
export interface AddServicedeskOrganizationResponseError extends CommonError {
}
export interface RemoveServicedeskOrganizationRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    body: {
        organizationId: number;
    };
}
export declare type RemoveServicedeskOrganizationResponseOK = undefined;
export interface RemoveServicedeskOrganizationResponseError extends CommonError {
}
export interface GetServicedeskOrganizationsRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    /**
     * The starting index of the returned comments. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of comments to return per page. Default: 50.
     */
    limit?: number;
}
export interface GetServicedeskOrganizationsResponseOK extends Organization {
}
export interface GetServicedeskOrganizationsResponseError extends CommonError {
}
//# sourceMappingURL=organization.d.ts.map