/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { PagedOfIssue, PagedOfQueue, Queue } from '../../definitions/Queue';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface GetServicedeckQueuesRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    /**
     * Specifies whether to include the issue count of each queue in the response. Valid values: true/false. Default: false.
     */
    includeCount?: boolean;
    /**
     * The starting index of the returned comments. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of comments to return per page. Default: 50.
     */
    limit?: number;
}
export interface GetServicedeckQueuesResponseOK extends PagedOfQueue {
}
export interface GetServicedeckQueuesResponseError extends CommonError {
}
export interface CreateServicedeckQueueRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    body: {
        name?: string;
        jql?: string;
        fields?: string[];
    };
}
export interface CreateServicedeckQueueResponseOK extends Queue {
}
export interface CreateServicedeckQueueResponseError extends CommonError {
}
export interface ReorderServicedeckQueueRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    body: number[];
}
export interface ReorderServicedeckQueueResponseOK extends Array<Queue> {
}
export interface ReorderServicedeckQueueResponseError extends CommonError {
}
export interface UpdateServicedeckQueueRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    queueId: number;
    body: {
        name?: string;
        jql?: string;
        fields?: string[];
    };
}
export interface UpdateServicedeckQueueResponseOK extends Queue {
}
export interface UpdateServicedeckQueueResponseError extends CommonError {
}
export interface DeleteServicedeckQueueRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    queueId: number;
}
export declare type DeleteServicedeckQueueResponseOK = undefined;
export interface DeleteServicedeckQueueResponseError extends CommonError {
}
export interface GetServicedeckQueueRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    queueId: number;
    /**
     * Specifies whether to include the issue count of queue in the response. Valid values: true/false. Default: false.
     */
    includeCount?: boolean;
}
export interface GetServicedeckQueueResponseOK extends Queue {
}
export interface GetServicedeckQueueResponseError extends CommonError {
}
export interface GetServicedeskIssuesInQueueRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    queueId: number;
    /**
     * The starting index of the returned comments. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of comments to return per page. Default: 50.
     */
    limit?: number;
}
export interface GetServicedeskIssuesInQueueResponseOK extends PagedOfIssue {
}
export interface GetServicedeskIssuesInQueueResponseError extends CommonError {
}
//# sourceMappingURL=queue.d.ts.map