/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { CustomerRequestCreateMeta, PagedOfRequestType, PagedOfRequestTypeGroup, RequestType } from '../../../definitions/Request';
import { CommonError, ErrorStrategyOption } from '../../../errorStrategy';
export interface GetServicedeskRequestTypesRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    /**
     * Filter results where the group ID of the request type matches groupId
     */
    groupId?: number;
    /**
     * The starting index of the returned objects. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of items to return per page. Default: 100.
     */
    limit?: number;
}
export interface GetServicedeskRequestTypesResponseOK extends PagedOfRequestType {
}
export interface GetServicedeskRequestTypesResponseError extends CommonError {
}
export interface CreateServicedeskRequestTypeRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    body: {
        issueTypeId?: string;
        name?: string;
        description?: string;
        helpText?: string;
    };
}
export interface CreateServicedeskRequestTypeResponseOK extends RequestType {
}
export interface CreateServicedeskRequestTypeResponseError extends CommonError {
}
export interface GetServicedeskRequestTypeRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    requestTypeId: number;
}
export interface GetServicedeskRequestTypeResponseOK extends RequestType {
}
export interface GetServicedeskRequestTypeResponseError extends CommonError {
}
export interface GetServicedeskRequestTypeFieldsRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    requestTypeId: number;
}
export interface GetServicedeskRequestTypeFieldsResponseOK extends CustomerRequestCreateMeta {
}
export interface GetServicedeskRequestTypeFieldsResponseError extends CommonError {
}
export interface GetServicedeskRequestTypeGroupsRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    /**
     * The starting index of the returned comments. Base index: 0.
     */
    start?: number;
    /**
     * The maximum number of comments to return per page. Default: 100.
     */
    limit?: number;
}
export interface GetServicedeskRequestTypeGroupsResponseOK extends PagedOfRequestTypeGroup {
}
export interface GetServicedeskRequestTypeGroupsResponseError extends CommonError {
}
//# sourceMappingURL=type.d.ts.map